package handler

import (
	"git.coopgo.io/coopgo-platform/routing-service"
	"git.coopgo.io/coopgo-platform/solidarity-transport/storage"
	"github.com/spf13/viper"
)

type Handler struct {
	Config  *viper.Viper
	Storage storage.Storage
	Routing routing.RoutingService
}

func NewSolidarityTransportHandler(cfg *viper.Viper, store storage.Storage, routing routing.RoutingService) (*Handler, error) {
	return &Handler{
		Config:  cfg,
		Storage: store,
		Routing: routing,
	}, nil
}
